Page MenuHomePhabricator

Add a user preference to opt in or out of a confirmation prompt for rollbacks
Closed, ResolvedPublic1 Story Points

Description

Motivation
A confirmation prompt is considered very useful by some and very hindering by others. This is a clear case of a useful user setting.

Mock (German)

Task

  • For users who have the rollback right, show a new setting in the preferences view:
  • As the last bullet point in the Appearance tab's Advanced Options section, add a checkbox with the label Show a confirmation prompt when I click on a rollback link
  • When the checkbox is checked, users should see the confirmation prompt on rollback links. When it is not checked, they should not see the confirmation prompt on rollback links.
  • Initially, the user setting should be set to the wiki default
  • The setting shoul not be visible in the interface on production as long as the feature is not fully developed, but ideally it should be visible for beta and test environments

Event Timeline

Lea_WMDE triaged this task as Normal priority.Jul 13 2018, 1:18 PM
Lea_WMDE created this task.
Restricted Application added a project: TCB-Team. · View Herald TranscriptJul 13 2018, 1:18 PM
Aklapper changed the edit policy from "Custom Policy" to "All Users".Sep 17 2018, 5:58 PM
Aklapper changed Risk Rating from N/A to default.
Lea_WMDE updated the task description. (Show Details)Jan 31 2019, 12:25 PM
Lea_WMDE updated the task description. (Show Details)Jan 31 2019, 12:29 PM
Lea_WMDE changed the task status from Open to Stalled.Jan 31 2019, 12:54 PM

Stalled for verifying what would be the best place for such a setting

Lea_WMDE updated the task description. (Show Details)Feb 11 2019, 2:28 PM

Verifyed that there is no better place, but stalling until the feature is in place

Lea_WMDE changed the task status from Stalled to Open.Feb 18 2019, 9:52 AM
Lea_WMDE updated the task description. (Show Details)
Lea_WMDE updated the task description. (Show Details)Feb 18 2019, 9:58 AM
kai.nissen set the point value for this task to 3.

Change 491477 had a related patch set uploaded (by Tonina Zhelyazkova; owner: Tonina Zhelyazkova):
[mediawiki/core@master] Add a user preference to opt in or out of a confirmation prompt for rollbacks. !!! This should not be visible on production until the feature of rollback confirmation prompt has been deployed.

https://gerrit.wikimedia.org/r/491477

Tobi_WMDE_SW changed the point value for this task from 3 to 1.Mar 4 2019, 11:12 AM

Change 498014 had a related patch set uploaded (by Tonina Zhelyazkova; owner: Tonina Zhelyazkova):
[mediawiki/core@master] Add a user preference to opt in or out of a confirmation prompt for rollbacks.

https://gerrit.wikimedia.org/r/498014

Change 498014 merged by jenkins-bot:
[mediawiki/core@master] Add a user preference to opt in or out of a confirmation prompt for rollbacks.

https://gerrit.wikimedia.org/r/498014

kai.nissen closed this task as Resolved.Apr 15 2019, 11:09 AM